
.character-card {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  align-items: start;
  color: var(--text-color-light);
  background-color: var(--color-gray-dark);
  box-shadow: var(--default-box-shadow);
  border-radius: var(--default-box-radius);
  padding: calc(var(--margin-base) * 2);

  .character-card__avatar-container {
    flex: 0 0 100%;
    margin-bottom: var(--margin-base);
  }

  .character-card__info-container {
    flex: 0 0 100%;
    word-break: break-word;
    text-align: center;
  }

  .character-card__avatar {
    display: block;
    overflow: hidden;
    margin: 0 auto;
    width: 200px;
    height: 200px;
    border-radius: 100%;
    border: 1px solid var(--color-gray-blue-dark);
  }

  .character-card__section {
    margin-bottom: calc(var(--margin-base) * 4);
  }

  .character-card__section-title {
    &::before {
      content: '';
      display: inline-block;
      width: 10px;
      height: 10px;
      background-color: var(--color-green);
      margin-right: 8px;
      border-radius: 8px;
    }

    color: var(--text-color-light);
    font-weight: var(--font-weight-bold);
    font-size: var(--font-size-large);
    margin-bottom: calc(var(--margin-base) / 2);
  }

  .character-card__name {
    color: var(--text-color-light);
    font-size: var(--font-size-xxlarge);
    margin-bottom: var(--margin-base);
  }

  .character-card__line {
    margin-bottom: var(--margin-base);
  }

  .character-card__label {
    display: block;
    color: var(--text-color-dark);
    font-size: var(--font-size-base);
  }

  .character-card__value {
    color: var(--text-color-light);
    font-size: var(--font-size-large);
  }

  @media (min-width: 575px) {
    flex-wrap: nowrap;

    .character-card__avatar-container {
      flex: 0 0 auto;
    }

    .character-card__info-container {
      flex: 0 1 100%;
      text-align: left;
      padding-left: calc(var(--margin-base) * 2);
    }

    .character-card__avatar {
      margin: auto;
      width: 100px;
      height: 100px;
    }

    .character-card__label {
      display: inline;
      margin-right: var(--margin-base);
    }
  }
}
